Subject: Re: [PATCH v2] receive-pack: purge temporary data if no command is ready to run

From: Junio C Hamano <[email-masked]>
Date: Sat, 05 Feb 2022 00:04:21 -0800

Bojun Chen <[email-masked]> writes:

> Junio C Hamano <[email-masked]> 于2022年2月2日周三 06:51写道：
>>
>> Chen BoJun <[email-masked]> writes:
>>
>> > From: Chen Bojun <[email-masked]>
>> >
>> > When pushing a hidden ref, e.g.:
>> >
>> >     $ git push origin HEAD:refs/hidden/foo
>> >
>> > "receive-pack" will reject our request with an error message like this:
>> >
>> >     ! [remote rejected] HEAD -> refs/hidden/foo (deny updating a hidden ref)
>> >
>> > The remote side ("git-receive-pack") will not create the hidden ref as
>> > expected, but the pack file sent by "git-send-pack" is left inside the
>> > remote repository. I.e. the quarantine directory is not purged as it
>> > should be.
>>
>> I was puzzled by the reference to "pushing a hidden ref" at the
>> beginning of the proposed log message, as it wasn't quite clear that
>> it was merely an easy-to-reproduce recipe to fall into such a
>> situation where all ref updates are rejected.
>>
>
> Thanks for the suggestion. Do I have to rewrite this commit message on the v3?

If you can make it more clear that "hidden refs" is merely one
sample scenario that may mark all elements on the commands list
as failed, that would be great.